Page MenuHomePhabricator

add dependency files and test logs to .gitignore
ClosedPublic

Authored by vharron on Nov 19 2014, 2:45 PM.

Details

Reviewers
compnerd
zturner
Summary

These files are generated as a part of the normal linux workflow and interfere with "git status"

Diff Detail

Event Timeline

vharron updated this revision to Diff 16404.Nov 19 2014, 2:45 PM
vharron retitled this revision from to add dependency files and test logs to .gitignore.
vharron updated this object.
vharron edited the test plan for this revision. (Show Details)
vharron added reviewers: zturner, compnerd.
vharron added a subscriber: Unknown Object (MLST).
zturner edited edge metadata.Nov 19 2014, 2:50 PM

Just curious, what are the .d files?

Also are the llgs log files generated by llgs? If so, aren't they using LLDB's built in logging infrastructure?

Just curious, what are the .d files?

Honestly I don't know. They just appear on my filesystem after a build/test. The files are empty.

test/lang/objc/self/main.d.39983

Also are the llgs log files generated by llgs? If so, aren't they using LLDB's built in logging infrastructure?

They are log files from test runs

test/tools/lldb-gdbserver/process-TestLldbGdbServer.LldbGdbServerTestCase.test_written_M_content_reads_back_correctly_llgs_dwarf.log

In theory this is a harmless change, so no reason to block it, but at the same time I'm not sure it's the right fix. I'm not really sure about the .d files, but with the log files, when running the test suite they usually go to lldb-test-traces which is out of tree since it's in the build directory.

What command are you using to run the test suite? Are you using ninja check-lldb? Or manually running dotest.py?

What command are you using to run the test suite?

ninja check-lldb

It sounds like there's a bug in either the test suite or the CMake target that calls into the test suite. I would rather have it fixed the right way, because I suspect it's probably a simple fix, would you mind trying to figure out what's going wrong? The relevant CMake target is in lldb/test/CMakeLists.txt at the very bottom (just dump the value of ${LLDB_DOSEP_ARGS} and re-generate), and the script itself is dosep.py and dotest.py. I think you can pass -v to them (through CMake) so they print verbose output. This makes it easy to debug them with log statements.

I think those log files are generated by llgs during testing when llgs local debugging is enabled.

  • Alex
zturner accepted this revision.Nov 20 2014, 9:42 AM
zturner edited edge metadata.

I'm not really knowledgeable about llgs, so if you guys think it's right go for it.

Ideally the solution (at least from the point of view of someone who doesn't know anything about llgs) is for the test suite to clean up the .d files (I believe it already cleans up other types of files, like executables, obj files, etc) so that it behaves like the rest of the test suite with regards to other files (for example, there's no gitignore rule for .out files, because the test suite cleans them up during make clean) and for the log files to go out of tree, but if you guys think that isn't possible or isn't feasible then that's fine.

This revision is now accepted and ready to land.Nov 20 2014, 9:42 AM
vharron closed this revision.Jan 23 2015, 2:54 PM